Package org.eclipse.graphiti.mm.pictograms

# Interface Shape

All Superinterfaces:
  `AnchorContainer`, `org.eclipse.emf.ecore.EObject`, `GraphicsAlgorithmContainer`, `org.eclipse.emf.common.notify.Notifier`, `PictogramElement`, `PropertyContainer`

All Known Subinterfaces:
  `ConnectionDecorator`, `ContainerShape`, `Diagram`

All Known Implementing Classes:
  `ConnectionDecoratorImpl`, `ContainerShapeImpl`, `DiagramImpl`, `ShapeImpl`

public interface Shape extends AnchorContainer
A representation of the model object 'Shape'.

The following features are supported:

- `Container`

See Also:
  - `PictogramsPackage.getShape()`

## Method Summary

Modifier and Type
Method
Description
`ContainerShape`
`getContainer()`
Returns the value of the 'Container' container reference.
`void`
`setContainer(ContainerShape value)`
Sets the value of the '`Container`' container reference.

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.AnchorContainer

`getAnchors`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.PictogramElement

`getGraphicsAlgorithm, getLink, isActive, isVisible, setActive, setGraphicsAlgorithm, setLink, setVisible`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

## Method Details

### getContainer

ContainerShape getContainer()
Returns the value of the 'Container' container reference. It is bidirectional and its opposite is '`Children`'.

If the meaning of the 'Container' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Container' container reference.
See Also:
  - `setContainer(ContainerShape)`
  - `PictogramsPackage.getShape_Container()`
  - `ContainerShape.getChildren()`

### setContainer

void setContainer(ContainerShape value)
Sets the value of the '`Container`' container reference.

Parameters:
  `value` - the new value of the 'Container' container reference.
See Also:
  - `getContainer()`